Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Neurosupport
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Yandex Cloud Trust
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex DataLens
  • Нейроаналитик DataLens
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • Create embed
        • List embeds
        • Delete embed
        • Update embed
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • EmbedSettings
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API (англ.)
  3. Embeds
  4. Update embed
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
    • EmbedSettings
  • Responses
  • 200 OK
    • Body

Update embed

Updates the specified embedding.

RequestRequest

POST

https://api.datalens.tech/rpc/updateEmbed

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "embedId": "example",
  "title": "example",
  "embeddingSecretId": "example",
  "depsIds": [
    "example"
  ],
  "unsignedParams": [
    "example"
  ],
  "privateParams": [
    "example"
  ],
  "publicParamsMode": true,
  "settings": {
    "enableExport": true
  }
}

Name

Description

depsIds

Type: string[]

Array of dependency entry IDs.

Example
[
  "example"
]

embeddingSecretId

Type: string

ID of the key for embedding used for authentication.

Example: example

embedId

Type: string

ID of the embedding to update.

Example: example

privateParams

Type: string[]

Array of signed parameters that are provided as part of the token.

Example
[
  "example"
]

publicParamsMode

Type: boolean

Whether default parameters mode is enabled.

settings

Type: EmbedSettings

Example
{
  "enableExport": true
}

title

Type: string

Name of the embedding.

Example: example

unsignedParams

Type: string[]

Array of unsigned parameters to be provided in the embedding link.

Example
[
  "example"
]

EmbedSettingsEmbedSettings

Name

Description

enableExport

Type: boolean

Whether data export is enabled for the embedding.

Example
{
  "enableExport": true
}

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "embedId": "example",
  "title": "example",
  "embeddingSecretId": "example",
  "entryId": "example",
  "depsIds": [
    "example"
  ],
  "unsignedParams": [
    "example"
  ],
  "privateParams": [
    "example"
  ],
  "createdBy": "example",
  "createdAt": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "publicParamsMode": true,
  "settings": {
    "enableExport": true
  }
}

Name

Description

createdAt

Type: string

Timestamp when the embedding was created.

Example: example

createdBy

Type: string

ID of the user who created the embedding.

Example: example

depsIds

Type: string[]

Array of dependency entry IDs.

Example
[
  "example"
]

embeddingSecretId

Type: string

ID of the key for embedding used for authentication.

Example: example

embedId

Type: string

Unique identifier of the embedding.

Example: example

entryId

Type: string

ID of the entry being privately embedded.

Example: example

privateParams

Type: string[]

Array of signed parameters that are provided as part of the token.

Example
[
  "example"
]

publicParamsMode

Type: boolean

Whether default parameters mode is enabled.

settings

Type: EmbedSettings

Example
{
  "enableExport": true
}

title

Type: string

Name of the embedding.

Example: example

unsignedParams

Type: string[]

Array of unsigned parameters to be provided in the embedding link.

Example
[
  "example"
]

updatedAt

Type: string

Timestamp when the embedding was last updated.

Example: example

updatedBy

Type: string

ID of the user who was the last to update the embedding.

Example: example

Была ли статья полезна?

Предыдущая
Delete embed
Следующая
Overview
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»